<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- IBM UrbanCode Deploy
- IBM UrbanCode Release
- IBM AnthillPro
- (c) Copyright IBM Corporation 2002, 2016. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <migrate to-version="5">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
  </migrate>

  <migrate to-version="6">
    <migrate-command name="Replace Tokens">
       <migrate-properties>
         <migrate-property name="explicitTokens" default=""/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
  </migrate>

  <migrate to-version="7">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
  </migrate>

  <migrate to-version="8">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory">
      <migrate-properties>
        <migrate-property old="includes" name="includes"/>
        <migrate-property old="excludes" name="excludes"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
  </migrate>

  <migrate to-version="11">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
  </migrate>

  <migrate to-version="12">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories">
       <migrate-properties>
         <migrate-property name="overwrite" default="false"/>
         <migrate-property name="preserveInTargetIncludes" default=""/>
         <migrate-property name="preserveInTargetExcludes" default=""/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
  </migrate>

  <migrate to-version="13">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories">
       <migrate-properties>
         <migrate-property name="overwrite" default="false"/>
         <migrate-property name="preserveInTargetIncludes" default=""/>
         <migrate-property name="preserveInTargetExcludes" default=""/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
  </migrate>

  <migrate to-version="14">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
  </migrate>

  <migrate to-version="15">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory">
      <migrate-properties>
         <migrate-property name="mapperRules" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
    <migrate-command name="Create Zip Archive"/>
  </migrate>

  <migrate to-version="16">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
    <migrate-command name="Create Zip Archive"/>
    <migrate-command name="Move Directory"/>
  </migrate>

  <migrate to-version="17">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
    <migrate-command name="Create Zip Archive"/>
    <migrate-command name="Move Directory"/>
  </migrate>

  <migrate to-version="18">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
    <migrate-command name="Create Zip Archive"/>
    <migrate-command name="Move Directory"/>
  </migrate>

  <migrate to-version="19">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor file contents"/>
    <migrate-command name="Create Zip Archive"/>
    <migrate-command name="Move Directory"/>
    <migrate-command name="Update XML File with XPath"/>
  </migrate>

  <migrate to-version="20">
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Untar Tarball" old="Untar tarball"/>
    <migrate-command name="Update Property File"/>
    <migrate-command name="Copy Directory"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Create Directories"/>
    <migrate-command name="Create File"/>
    <migrate-command name="Update INI File"/>
    <migrate-command name="Delete Files and Directories"/>
    <migrate-command name="Monitor File Contents" old="Monitor file contents"/>
    <migrate-command name="Create Zip Archive"/>
    <migrate-command name="Move Directory"/>
    <migrate-command name="Update XML File with XPath"/>
  </migrate>

  <migrate to-version="21">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
  </migrate>

  <migrate to-version="22">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
  </migrate>

  <migrate to-version="23">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
  </migrate>

  <migrate to-version="24">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
  </migrate>

  <migrate to-version="25">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens">
      <migrate-properties>
        <migrate-property old="startDelimiter" name="startDelimiter"/>
        <migrate-property old="endDelimiter" name="endDelimiter"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
  </migrate>

  <migrate to-version="26">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Synchronize Directories">
      <migrate-properties>
        <migrate-property old="includes" name="includes"/>
        <migrate-property old="excludes" name="excludes"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
  </migrate>

  <migrate to-version="27">
    <migrate-command name="Copy Directory">
      <migrate-properties>
        <migrate-property old="includes" name="includes"/>
        <migrate-property old="excludes" name="excludes"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Move Directory">
      <migrate-properties>
        <migrate-property old="includes" name="includes"/>
        <migrate-property old="excludes" name="excludes"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Synchronize Directories">
      <migrate-properties>
        <migrate-property old="includes" name="includes"/>
        <migrate-property old="excludes" name="excludes"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Replace Tokens">
      <migrate-properties>
        <migrate-property old="includes" name="includes"/>
        <migrate-property old="excludes" name="excludes"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="28">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens"/>
    <migrate-command name="Synchronize Directories"/>
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File">
      <migrate-properties>
        <migrate-property name="additionalProps"/>
        <migrate-property name="additionalPropsPrefix"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
  </migrate>

  <migrate to-version="29">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="30">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" >
      <migrate-properties>
        <migrate-property name="includes" default="**/*"/>
        <migrate-property name="excludes"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="31">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" old="Create Zip Archive" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="32">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath">
     <migrate-properties>
        <migrate-property name="srcDirOffset" old="dirOffset" default="."/>
        <migrate-property name="destDirOffset" default="."/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="33">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" >
      <migrate-properties>
        <migrate-property name="includes" old="file" default="*.properties"/>
        <migrate-property name="excludes" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="34">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="35">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="36">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="37">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File">
      <migrate-properties>
        <migrate-property name="addComments" />
        <migrate-property name="poundComments" default="false"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Update Property File" />
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="38">
    <migrate-command name="Copy Directory" />
    <migrate-command name="Create Directories" />
    <migrate-command name="Create File" />
    <migrate-command name="Create .zip File" />
    <migrate-command name="Delete Files and Directories" />
    <migrate-command name="Flip Line Endings" />
    <migrate-command name="Monitor File Contents" />
    <migrate-command name="Move Directory" />
    <migrate-command name="Replace Tokens" />
    <migrate-command name="Synchronize Directories" />
    <migrate-command name="Untar Tarball" />
    <migrate-command name="Unzip" />
    <migrate-command name="Update INI File" />
    <migrate-command name="Update Property File" >
       <migrate-properties>
         <migrate-property name="customEncoding" default=""/>
         <migrate-property name="useSystemEncoding" default="false"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Update XML File with XPath" />
    <migrate-command name="Read Property File"/>
    <migrate-command name="Read Properties From XML File" />
  </migrate>

  <migrate to-version="39">
    <migrate-command name="Update Java Properties File" old="Update Property File" />
    <migrate-command name="Update INI File">
      <migrate-properties>
        <migrate-property name="removeSection" />
        <migrate-property name="customEncoding" />
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="40">
  </migrate>

  <migrate to-version="41">
  </migrate>

  <migrate to-version="42">
  </migrate>

  <migrate to-version="43">
  </migrate>

  <migrate to-version="44">
    <migrate-command name="Create File" >
      <migrate-properties>
        <migrate-property name="customEncoding" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="45">
  </migrate>

  <migrate to-version="46">
    <migrate-command name="Create .zip File"/>
  </migrate>

  <migrate to-version="47">
    <migrate-command name="Unzip">
      <migrate-properties>
        <migrate-property name="customEncoding" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="48">
    <migrate-command name="Replace Tokens">
      <migrate-properties>
        <migrate-property name="customEncoding" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>

</plugin-upgrade>
